- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

GNet::Resolver Member List

This is the complete list of members for GNet::Resolver, including all inherited members.

busy() const | GNet::Resolver |
parse(const std::string &in, std::string &host_or_address, std::string &service_or_port) | GNet::Resolver | static
resolve(ResolverInfo &host_and_service, bool udp=false) | GNet::Resolver | static
resolveCon(bool success, const Address &address, std::string fqdn_or_failure_reason) | GNet::Resolver | virtual
Resolver(EventHandler &) | GNet::Resolver | explicit
resolveReq(std::string name, bool udp=false) | GNet::Resolver |
resolveReq(std::string host_name, std::string service_name, bool udp=false) | GNet::Resolver |
~Resolver() | GNet::Resolver | virtual